=== debian/changelog ===
openmama (2.2.2.1-12build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:08:54 +0100

openmama (2.2.2.1-12) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 10 (Closes: #940137)
  * Updated the watch file

  [ Juhani Numminen ]
  * Backported the fix for the build failure with GCC 7 (Closes: #853594)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Sep 2019 00:09:10 +0200

openmama (2.2.2.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libwombatcommoncpp0, libmamaavis0 and libmamacpp0 as a dependency of
    libmama-dev (Closes: #858502)

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Mar 2017 09:45:17 +0100

openmama (2.2.2.1-11) unstable; urgency=medium

  * Team upload.
  * Apply patch to address FTBFS with Java 8.  (Closes: #745099)
    - Thank you to Emmanuel Bourg for the patch.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Tue, 28 Jul 2015 21:51:44 -0700

openmama (2.2.2.1-10) unstable; urgency=low

  * Patch to support HURD and kFreeBSD builds

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 22:42:25 +0200

openmama (2.2.2.1-9) unstable; urgency=low

  * Update for building lib*-java packages
  * Build doc packages

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 14:40:40 +0200

openmama (2.2.2.1-8) unstable; urgency=low

  * Install headers to womat-c (Closes: #722664)

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 13:38:20 +0200

openmama (2.2.2.1-7) unstable; urgency=low

  * Ensure Makefile doesn't continue after errors

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 05 Sep 2013 11:30:22 +0200

openmama (2.2.2.1-6) unstable; urgency=low

  * Add more build-deps
  * Support atomic operations on additional CPUs

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 19:05:00 +0200

openmama (2.2.2.1-5) unstable; urgency=low

  * Add more build-deps

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 15:38:22 +0200

openmama (2.2.2.1-4) unstable; urgency=low

  * Export JAVA_HOME for sub-shells

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 12:32:24 +0200

openmama (2.2.2.1-3) unstable; urgency=low

  * Set JAVA_HOME and default-jdk build-dep

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 10:30:49 +0200

openmama (2.2.2.1-2) unstable; urgency=low

  * Update build-deps

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 04 Sep 2013 08:43:26 +0200

openmama (2.2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #719131)

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 08 Aug 2013 21:44:30 +0200
