=== debian/control ===
Source: openmama
Section: libs
Priority: optional
Maintainer: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), uuid-dev, flex, libavis-dev, dpkg-dev (>= 1.16.1~), automake, libtool, default-jdk, doxygen, junit, ant, texlive-font-utils, ghostscript, javahelper
Homepage: http://www.openmama.org
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/debian/openmama.git
Vcs-Browser: https://salsa.debian.org/debian/openmama

Package: libwombatcommon0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Wombat utility libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides a utility library, libwombatcommon, used by
 OpenMAMA components.

Package: libwombatcommoncpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Wombat utility libraries (C++)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides a utility library, libwombatcommoncpp, used by
 OpenMAMA components.

Package: libmama0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmamaavis0
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries.

Package: libmamajni-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmama0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - Java libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the core libraries.

Package: libmamacpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmamaavis0
Description: message oriented middleware - shared libraries (C++)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries (C++).

Package: libmama-dev
Section: libdevel
Architecture: any
Depends: libmama0 (= ${binary:Version}), ${misc:Depends}, libwombatcommoncpp0 (= ${binary:Version}), libmamaavis0 (= ${binary:Version}), libmamacpp0 (= ${binary:Version})
Recommends: libmama-doc
Description: message oriented middleware - development files
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides header files needed for developing applications
 based on the core libraries.

Package: libmamaavis0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - avis transport
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for the avis transport.

Package: libmamda0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the core libraries for market data functionality.

Package: libmamda-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamajni-java (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA libraries.

Package: libmamda-dev
Section: libdevel
Architecture: any
Depends: libmamda0 (= ${binary:Version}), libmamdabook0 (= ${binary:Version}), libmamdanews0 (= ${binary:Version}), libmamdaoptions0 (= ${binary:Version}), ${misc:Depends}
Recommends: libmamda-doc
Description: message oriented middleware - development files
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides header files needed for developing applications
 based on market data libraries.

Package: libmamdabook0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package providers support for order books.

Package: libmamda-book-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamda-java  (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA order book)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA order book library.

Package: libmamdanews0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for news.

Package: libmamdaoptions0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: message oriented middleware - shared libraries
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides support for options instruments.

Package: libmamda-options-java
Section: java
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmamda0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmamda-java  (= ${binary:Version})
Description: message oriented middleware - Java libraries (MAMDA options)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the Java API to the MAMDA options library.

Package: libmama-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: libmamda-doc
Description: message oriented middleware - API documentation (MAMA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the API documentation for OpenMAMA C, C++ and Java.

Package: libmamda-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: libmama-doc
Description: message oriented middleware - API documentation (MAMA)
 OpenMAMA is a high performance Middleware Agnostic Messaging API that
 provides a consistent abstraction layer over a variety of message
 oriented middlewares. OpenMAMA is an open source project hosted at
 The Linux Foundation.
 .
 This package provides the API documentation for OpenMAMDA C, C++ and Java.
