=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# needed with -fPIC
#CPPFLAGS += -dynamic

export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/junit.jar

# clean doesn't seem to work very well if configure hasn't
# already been run
override_dh_auto_clean:
	find . -name '*.o' -exec rm {} \;
	find . -name '*.lo' -exec rm {} \;
	find . -name 'lib*.so*' -exec rm {} \;
	-find . -name '.libs' -type d -exec rm -rf {} \;

# had to patch Makefile.am - so re-run autoreconf
override_dh_auto_configure:
	( for subproject in common/c_cpp mama/c_cpp mama/jni mamda/c_cpp ; \
	do ( cd $${subproject} ; autoreconf -fi ) done )
	dh_auto_configure -- --with-avis=/usr --enable-shared --disable-static --with-pic=yes

#override_dh_auto_build:
#	make common mama mamda docs

%:
	dh $@ --builddirectory=. --with javahelper

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp common-install mama-install mamda-install
	find $$(pwd)/debian/tmp -name jquery.js -exec rm {} \;
