=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz" \
https://github.com/OpenMAMA/OpenMAMA refs/tags/OpenMAMA-([\d\.]+)-release
